Gnome2::IconEntry(3)

NAME
Gnome2::IconEntry

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::VBox
                                +----Gnome2::IconEntry

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable

METHODS

  widget = Gnome2::IconEntry->new ($history_id, $browse_dialog_title)

•   $history_id (string)

•   $browse_dialog_title (string)

  $ientry->set_browse_dialog_title ($browse_dialog_title)

•   $browse_dialog_title (string)

  string = $ientry->get_filename

  boolean = $ientry->set_filename ($filename)

•   $filename (string)

  $ientry->set_history_id ($history_id)

•   $history_id (string)

  $ientry->set_max_saved ($max_saved)

•   $max_saved (integer)

Since: libgnomeui 2.4

  widget or undef = $ientry->pick_dialog

  $ientry->set_pixmap_subdir ($subdir)

•   $subdir (string)

PROPERTIES

'browse-dialog-title' (string : default undef : readable / writable)
    Title for the Browse icon dialog.

'filename' (string : default undef : readable / writable)
    Filename that should be displayed in the icon entry.

'history-id' (string : default undef : readable / writable)
    Unique identifier for the icon entry. This will be used to save the history list.

'pick-dialog' (Gtk2::Dialog : default undef : readable)
    Icon picker dialog. You can use this property to get the GtkDialog if you need to modify or query any of its properties.

'pixmap-subdir' (string : default undef : readable / writable)
    Directory that will be searched for icons.

SIGNALS

changed (Gnome2::IconEntry)
browse (Gnome2::IconEntry)

SEE ALSO
Gnome2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::VBox

COPYRIGHT
Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL. See Gnome2 for a full notice.